discover-backend-packagekit-5.15.80git.20190502T161909~e2313b29-ku.107.1.x86_64.rpm


Advertisement

Description

discover-backend-packagekit - PackageKit Backend for Discover

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Frameworks Unstable all
Package filename discover-backend-packagekit-5.15.80git.20190502T161909~e2313b29-ku.107.1.x86_64.rpm
Package name discover-backend-packagekit
Package version 5.15.80git.20190502T161909~e2313b29
Package release ku.107.1
Package architecture x86_64
Package type rpm
Category System/GUI/KDE
Homepage https://quickgit.kde.org/?p=discover.git
License GPL-2.0-only AND GPL-3.0-only AND GPL-3.0-or-later
Maintainer -
Download size 150.80 KB
Installed size 433.52 KB
A plugin for Discover to support management of system packages and repositories
using PackageKit.

Alternatives

Package Version Architecture Repository
discover-backend-packagekit-5.15.80git.20190502T161909~e2313b29-ku.107.1.i586.rpm 5.15.80git.20190502T161909~e2313b29 i586 KDE Frameworks Unstable
discover-backend-packagekit-5.15.4-178.2.x86_64.rpm 5.15.4 x86_64 KDE Frameworks 5
discover-backend-packagekit-5.15.4-178.2.i586.rpm 5.15.4 i586 KDE Frameworks 5
discover-backend-packagekit-5.15.4-1.1.x86_64.rpm 5.15.4 x86_64 openSUSE Oss
discover-backend-packagekit-5.15.4-1.1.i586.rpm 5.15.4 i586 openSUSE Oss
discover-backend-packagekit - - -

Requires

Name Value
AppStream -
PackageKit -
appstream-provider -
discover = 5.15.80git.20190502T161909~e2313b29
libAppStreamQt.so.2()(64bit) -
libDiscoverCommon.so()(64bit) -
libKF5ConfigCore.so.5()(64bit) -
libKF5CoreAddons.so.5()(64bit) -
libKF5I18n.so.5()(64bit) -
libKF5KIOCore.so.5()(64bit) -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libQt5DBus.so.5()(64bit) -
libQt5DBus.so.5(Qt_5)(64bit) -
libQt5Gui.so.5()(64bit) -
libQt5Gui.so.5(Qt_5)(64bit) -
libQt5Widgets.so.5()(64bit) -
libQt5Widgets.so.5(Qt_5)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libpackagekitqt5.so.1()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -

Provides

Name Value
discover-backend-packagekit = 5.15.80git.20190502T161909~e2313b29-ku.107.1
discover-backend-packagekit(x86-64) = 5.15.80git.20190502T161909~e2313b29-ku.107.1
metainfo() -
metainfo(org.kde.discover.packagekit.appdata.xml) -

Download

Type URL
Mirror widehat.opensuse.org
Binary Package discover-backend-packagekit-5.15.80git.20190502T161909~e2313b29-ku.107.1.x86_64.rpm
Source Package discover-5.15.80git.20190502T161909~e2313b29-ku.107.1.src.rpm

Install Howto

  1. Add the KDE Frameworks Unstable repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Unstable:/Frameworks/openSUSE_Factory/ kde-frameworks-unstable
  2. Install discover-backend-packagekit rpm package:
    # zypper install discover-backend-packagekit

Files

Path
/usr/lib64/qt5/plugins/discover/packagekit-backend.so
/usr/share/libdiscover/categories/packagekit-backend-categories.xml
/usr/share/licenses/discover-backend-packagekit/COPYING
/usr/share/licenses/discover-backend-packagekit/COPYING.GFDL
/usr/share/licenses/discover-backend-packagekit/COPYING.LIB
/usr/share/metainfo/org.kde.discover.packagekit.appdata.xml

Changelog

2018-10-09 - fabian@ritter-vogt.de
- Split available backends into subpackages
- Improve description by using the one from Debian and rewording it
slightly.
2018-10-05 - fabian@ritter-vogt.de
- Update to 5.14.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.14.0.php
- Too many changes to list here
2018-09-15 - fabian@ritter-vogt.de
- Add tarball signature and keyring containing keys of release managers
Jonathan Riddell and Bhushan Shah
2018-09-15 - Wolfgang Bauer <wbauer@tmo.at>
- Build without fwupd on Leap 42
2018-09-13 - fabian@ritter-vogt.de
- Update to 5.13.90
* New feature release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.90.php
- Too many changes to list here
- Enable fwupd backend
- Use %license
2018-09-04 - fabian@ritter-vogt.de
- Update to 5.13.5
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.5.php
- Changes since 5.13.4:
* Don't try to trigger an empty transaction (kde#397759)
* PK: wait until we have fetched the packages that dont' come from appstream (kde#397192)
* Fix navigation after search (kde#391931)
* Remove wrong assert
2018-07-31 - fabian@ritter-vogt.de
- Update to 5.13.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.4.php
- Changes since 5.13.3:
* KNS: Fix leak of resource ratings
* When sorting by release date, show newer first
* Prevent crash (kde#396564)
* Readability
* Fix CMakeLists.txt to work with older versions of CMake
* KNS: Don't offer the backends to add if we know they're broken
* FeaturedModel: Make sure the file is written before we read
* Fix featured json file warning
* Fix warning
* Silence false positive warning on --mode
* Fix display if there's no source description
* Proper status when removing snaps (kde#396351)
* Properly check for pkqt
* Use consistent spacing in the missing backends footer
2018-07-10 - fabian@ritter-vogt.de
- Update to 5.13.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.3.php
- Changes since 5.13.2:
* PK: Make sure we resolve the transaction application if it fails (kde#395994)
* KNS: don't start searches before initializing (kde#395966)
* Report a progressing change when we finish to set up and there's nothing pending
* Recheck fetching after we remove a backend
* flatpak: don't crash if we get null updates (kde#394713)
* Don't set property twice
* Trigger a refresh when appstream data isn't available when on aptcc
* Don't catch unneeded value in lambda
* Fix warning: use the right API to get the component desktop id
2018-06-26 - fabian@ritter-vogt.de
- Update to 5.13.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.2.php
- Changes since 5.13.1:
* Simplify flatpak initialization process
* Include the donation URL from KNS
* When installing a resource with several payloads, fetch all of them (kde#395720)
* Improve how progress is processed when installing one application (kde#391058)
* PK: Don't show an error message when simulating
* fix warnings
* Fix crash (kde#395676)
* Properly remove the items from the FeaturedModel
* Flatpak: Make sure we release every time we aquire (kde#394558)
* Fix there being more security updates than total updates in notifier (kde#392056)
2018-06-19 - fabian@ritter-vogt.de
- Update to 5.13.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.1.php
- Changes since 5.13.0:
* ASAN: Specify buffer size
* ASAN: Fix possible division by 0
* Fix warning, add missing interface
* Fix build with newer flatpak

See Also

Package Description
discover-plasmoid-5.15.80git.20190502T161909~e2313b29-ku.107.1.i586.rpm Update notification plasmoid for KDE Software Manager
discover-plasmoid-5.15.80git.20190502T161909~e2313b29-ku.107.1.x86_64.rpm Update notification plasmoid for KDE Software Manager
drkonqi5-5.15.80git.20190502T055654~35b3ed9d-ku.53.1.i586.rpm Helper for debugging and reporting crashes
drkonqi5-5.15.80git.20190502T055654~35b3ed9d-ku.53.1.x86_64.rpm Helper for debugging and reporting crashes
extra-cmake-modules-5.58.0git.20190417T212652~307b366-45.2.i586.rpm CMake modules
extra-cmake-modules-5.58.0git.20190417T212652~307b366-45.2.x86_64.rpm CMake modules
extra-cmake-modules-doc-5.58.0git.20190417T212652~307b366-45.2.noarch.rpm Documentation for extra-cmake-modules
frameworkintegration-devel-32bit-5.58.0git.20190413T095702~d4e1b8a-ku.30.5.x86_64.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
frameworkintegration-devel-5.58.0git.20190413T095702~d4e1b8a-ku.30.5.i586.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
frameworkintegration-devel-5.58.0git.20190413T095702~d4e1b8a-ku.30.5.x86_64.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
frameworkintegration-plugin-32bit-5.58.0git.20190413T095702~d4e1b8a-ku.30.5.x86_64.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
frameworkintegration-plugin-5.58.0git.20190413T095702~d4e1b8a-ku.30.5.i586.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
frameworkintegration-plugin-5.58.0git.20190413T095702~d4e1b8a-ku.30.5.x86_64.rpm Plugins responsible for better integration of Qt applications in KDE Workspace
gmenudbusmenuproxy-5.15.80git.20190501T060553~194f4965-ku.136.2.i586.rpm GMenu to DBusMenu Proxy
gmenudbusmenuproxy-5.15.80git.20190501T060553~194f4965-ku.136.2.x86_64.rpm GMenu to DBusMenu Proxy
Advertisement
Advertisement